FBO Accounts
Update FBO Account
Update an existing FBO account
PATCH
/
fbo-accounts
/
{id}
cURL
curl --request PATCH \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts/m97fbo456", {
method: "PATCH",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.patch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith-Johnson",
"email": "jane.updated@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "75000000",
"createdAt": "2025-03-01T12:00:00Z"
}
}
Updates an existing FBO account. Only provided fields are changed; at least one field must be supplied.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs fbo_accounts:update.Path Parameters
string
required
Body
string
string
string
string
string
cURL
curl --request PATCH \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts/m97fbo456", {
method: "PATCH",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.patch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith-Johnson",
"email": "jane.updated@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "75000000",
"createdAt": "2025-03-01T12:00:00Z"
}
}
⌘I
cURL
curl --request PATCH \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456 \
--header 'Authorization: Bearer <token>'
const response = await fetch("https://api.beachdepository.com/v1/fbo-accounts/m97fbo456", {
method: "PATCH",
headers: {
Authorization: "Bearer <token>",
},
})
const data = await response.json()
import requests
response = requests.patch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": {
"id": "m97fbo456",
"organizationId": "k57orgxyz",
"firstName": "Jane",
"lastName": "Smith-Johnson",
"email": "jane.updated@example.com",
"phone": "+15551234567",
"businessName": "Smith Holdings LLC",
"maxInsuredValueCents": "75000000",
"createdAt": "2025-03-01T12:00:00Z"
}
}